%define builtin_release_version 1WS
%define builtin_release_name Ferrara
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
Summary: PU_IAS release file
Name: PU_IAS-release
Version: %{real_release_version}
Release: 1
Copyright: GPL
Group: System Environment/Base
Source: PU_IAS-release-%{builtin_release_version}-x86_64.tar.gz
Obsoletes: rawhide-release
Obsoletes: redhat-release
Provides: redhat-release
BuildRoot: %{_tmppath}/PU_IAS-release-root
ExclusiveArch: x86_64

%description
PU_IAS release file

%prep
%setup -q -n PU_IAS-release-1WS-x86_64

%build
python -c "import py_compile; py_compile.compile('eula.py')"

%install
mkdir -p $RPM_BUILD_ROOT/etc
echo "PU_IAS release %{real_release_version} (%{real_release_name})" > $RPM_BUILD_ROOT/etc/PU_IAS-release
cp $RPM_BUILD_ROOT/etc/PU_IAS-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue
ln -sf PU_IAS-release $RPM_BUILD_ROOT/etc/redhat-release
mkdir -p $RPM_BUILD_ROOT/usr/share/eula $RPM_BUILD_ROOT/usr/share/firstboot/modules
cp -f eula.txt $RPM_BUILD_ROOT/usr/share/eula/eula.en_US
cp -f eula.py $RPM_BUILD_ROOT/usr/share/firstboot/modules/eula.py

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/PU_IAS-release
/etc/redhat-release
%doc R* 
%doc eula.txt GPL autorun-template
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
/usr/share/firstboot/modules/eula.py
/usr/share/eula/eula.en_US
